#
# spec file for package perl-Class-Load-XS
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-Load-XS
Version:        0.10
Release:        bp155.2.13
%define cpan_name Class-Load-XS
Summary:        XS implementation of parts of Class::Load
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-Load-XS/
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Load) >= 0.20
BuildRequires:  perl(Module::Implementation) >= 0.04
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Needs)
BuildRequires:  perl(version)
Requires:       perl(Class::Load) >= 0.20
%{perl_requires}

%description
This module provides an XS implementation for portions of Class::Load. See
Class::Load for API details.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Wed Apr 12 2017 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Class-Load-XS/Changes
  0.10     2017-04-11
  - fix test to handle altered Test::Without::Module exception message
* Sat Feb  7 2015 coolo@suse.com
- updated to 0.09
  - optimized some perl API calls (thanks, Alexandr Evstigneev!)
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.08
  - switched packaging to just EUMM, as MBT wants the .xs file in a
    different place
  - switched packaging from MB to EUMM+MBT
  - repository moved to the github moose organization
- remove unmaintainable sle11 patch perl-old_module_build.patch
* Mon Jun  3 2013 coolo@suse.com
- updated to 0.06
  - Fixed some broken logic that lead to a segfault from the
    014-weird-constants.t test on some Perls (but unfortunately not the one I
    test with by default). Reported by Chisel Wright (and several other
    people). RT #80059.
  - Require Class::Load 0.20 in the code (not just the distro metadata). This
    keeps the tests in sync, and this module needed at least 0.11
    anyway. Reported by Father Chrysostomos. RT #80002.
  - Weird classes with either an ISA or VERSION constant (who does that?) would
    cause the XS to blow up badly. Reported by Father Chrysostomos. RT #79998.
* Wed May 30 2012 coolo@suse.com
- all Module::Build will do
* Tue Mar  6 2012 ro@suse.de
- fix build on code11
* Mon Feb 13 2012 coolo@suse.com
- updated to 0.04
  - Some small test changes for the latest Module::Implementation and
    Class::Load. There is no need to upgade if you have 0.03 installed.
* Wed Nov 30 2011 cfarrell@suse.com
- license update: Artistic-2.0
  SPDX
* Tue Nov 29 2011 lars@linux-schulserver.de
- initial package 0.03
